Data.Edison.Coll.SplayHeap

# Type of splay heaps

data Heap a

# CollX operations

empty

singleton

fromSeq

insert

insertSeq

union

unionSeq

delete

deleteAll

deleteSeq

null

size

member

count

strict

structuralInvariant

# Coll operations

toSeq

lookup

lookupM

lookupAll

lookupWithDefault

fold

fold'

fold1

fold1'

filter

partition

strictWith

# OrdCollX operations

deleteMin

deleteMax

unsafeInsertMin

unsafeInsertMax

unsafeFromOrdSeq

unsafeAppend

filterLT

filterLE

filterGT

filterGE

partitionLT_GE

partitionLE_GT

partitionLT_GT

# OrdColl operations

minView

minElem

maxView

maxElem

foldr

foldr'

foldl

foldl'

foldr1

foldr1'

foldl1

foldl1'

toOrdSeq

unsafeMapMonotonic

# Documentation

moduleName